Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.launching
Interface IRuntimeClasspathEntry2

All Superinterfaces:
  IRuntimeClasspathEntry

public interface IRuntimeClasspathEntry2
extends IRuntimeClasspathEntry

Enhancements to `IRuntimeClasspathEntry` to support extensible runtime classpath entries. Contributed runtime classpath entries have a type of `OTHER`, and are contributed to the `runtimeClasspathEntries` extension point.

TODO: XML example

Clients are not intended to implement this interface, as new types of runtime classpath entries are only intended to be contributed by the Java debugger.

Since:
  3.0
See Also:
  `IRuntimeClasspathEntry`

Field Summary

Fields inherited from interface org.eclipse.jdt.launching.IRuntimeClasspathEntry
`ARCHIVE, BOOTSTRAP_CLASSES, CONTAINER, OTHER, PROJECT, STANDARD_CLASSES, USER_CLASSES, VARIABLE`

Method Summary
`String` | `getName()` Returns a human readable name for this classpath entry.
`IRuntimeClasspathEntry[]` | `getRuntimeClasspathEntries(ILaunchConfiguration configuration)` Returns the classpath entries this entry is composed of, or an empty collection if this entry is not a composite entry.
`String` | `getTypeId()` Returns the unique identifier of the extension that contributed this classpath entry type, or `null` if this classpath entry type was not contributed.
`void` | `initializeFrom(Element memento)` Initializes this runtime classpath entry from the given memento.
`boolean` | `isComposite()` Returns whether this classpath entry is composed of other entries.

Methods inherited from interface org.eclipse.jdt.launching.IRuntimeClasspathEntry
`getClasspathEntry, getClasspathProperty, getJavaProject, getLocation, getMemento, getPath, getResource, getSourceAttachmentLocation, getSourceAttachmentPath, getSourceAttachmentRootLocation, getSourceAttachmentRootPath, getType, getVariableName, setClasspathProperty, setSourceAttachmentPath, setSourceAttachmentRootPath`

Method Detail

### initializeFrom

    public void initializeFrom(Element memento)
                        throws CoreException

  Initializes this runtime classpath entry from the given memento.

  Parameters:
    `memento` - memento created by a classpath entry of the same type
  Throws:
    `CoreException` - if unable to initialize from the given memento

### getTypeId

    public String getTypeId()

  Returns the unique identifier of the extension that contributed this classpath entry type, or `null` if this classpath entry type was not contributed.

  Returns:
    the unique identifier of the extension that contributed this classpath entry type, or `null` if this classpath entry type was not contributed

### isComposite

    public boolean isComposite()

  Returns whether this classpath entry is composed of other entries.

  Returns:
    whether this classpath entry is composed of other entries

### getRuntimeClasspathEntries

    public IRuntimeClasspathEntry[] getRuntimeClasspathEntries(ILaunchConfiguration configuration)
                                                        throws CoreException

  Returns the classpath entries this entry is composed of, or an empty collection if this entry is not a composite entry.

  Parameters:
    `configuration` - the context (launch configuration) in which this runtime classpath entry is being queried for contained entries, possibly `null`
  Returns:
    the classpath entries this entry is composed of, or an empty collection if this entry is not a composite entry
  Throws:
    `CoreException` - if unable to retrieve contained entries

### getName

    public String getName()

  Returns a human readable name for this classpath entry.

  Returns:
    a human readable name for this classpath entry

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.